Bug 22382 - easytag corrupts files that use the Vorbis tag (Ogg, Opus, etc)
Summary: easytag corrupts files that use the Vorbis tag (Ogg, Opus, etc)
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal critical
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard: MGA6TOO MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-01-13 03:51 CET by Curtis Hildebrand
Modified: 2019-02-14 09:40 CET (History)
9 users (show)

See Also:
Source RPM: easytag-2.4.3-2.mga7.src.rpm
CVE:
Status comment:


Attachments

Description Curtis Hildebrand 2018-01-13 03:51:01 CET
Description of problem:

After bulk editing the tags on my OGG files with easytag, I was unable to play them.  Rhythmbox gives the error, 
"Internal Data Stream" 

Amarok gives the error:
"vorbis decoder error: this bitstream does not contain Vorbis audio data"

oggz-validate gives a couple different errors (on different files):
serialno 1044411055: granulepos 0 on page with no completed packets, must be -1
-00:00:00.378: serialno 0175505035: Granulepos decreasing within track
-00:00:00.399: serialno 0175505035: Packet out of order (previous -00:00:00.378)

Easytag was found to corrupt encoded files that use the Vorbis tag format (Ogg, Opus are known).  Unfortunately, there is no known fix to get the original file back.

There was a link to a blog post where a script was created (tailored to the authors environment) that searches for corrupted files.  There's also a "fix" script, but it's more of a workaround that decodes the file to a WAV and then re-encodes it:
https://trackitweb.com/fix-ogg-files-corrupted-by-easytag/

Upstream bug report
https://bugzilla.gnome.org/show_bug.cgi?id=776110

It was reported that reverting this commit stops easytag from corrupting files:
https://git.gnome.org/browse/easytag/commit/?id=e5c640ca3f259f1b74e716723345521987a7bd68



How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Curtis Hildebrand 2018-01-13 03:55:42 CET
FYI, I corrupted about 1000 files.  Don't use Easytag on OGG files.
Comment 2 Marja Van Waes 2018-01-13 07:56:06 CET
Assigning to our Gnome maintainers, CC'ing our registered easytag maintainer and a recent committer.

Assignee: bugsquad => gnome
CC: (none) => cjw, cvargas, marja11

Comment 3 David Walser 2018-01-14 18:17:35 CET
Ouch!  I hope you have a backup of those files.

CC'ing another recent committer.

CC: (none) => geiger.david68210

Pascal Terjan 2018-01-15 20:26:54 CET

CC: (none) => pterjan

Comment 4 papoteur 2018-04-05 18:44:45 CEST
This problem is also reported against Mageia 6:
https://www.mageialinux-online.org/forum/topic-24134-0-238659+easytag.php

CC: (none) => yves.brungard_mageia
Whiteboard: (none) => MGA6TOO

Comment 5 David GEIGER 2018-04-18 18:05:30 CEST
Should be fixed on Cauldron and mga6 too!

-easytag-2.4.3-1.1.mga6
-easytag-2.4.3-3.mga7

Please test it, thanks in advance!
Comment 6 David GEIGER 2019-02-12 06:04:42 CET
This issue affect some more others project like clementine, qmmp, kid3, ...

Seems that the real issue come from taglib and not directly from easytag as of
bug 24351

Depends on: (none) => 24351

Comment 7 David GEIGER 2019-02-12 17:23:12 CET
Seems that finally this issue depend not on taglib!

Depends on: 24351 => (none)

Comment 8 David GEIGER 2019-02-12 17:27:51 CET
Assigning to QA,


Advisory:
========================

Some users reported that easytag now randomly corrupting Ogg Vorbis Files.
So this update fixes this issue.

========================

Packages in 6/core/updates_testing:
========================
easytag-2.4.3-1.1.mga6.i586.rpm
easytag-nautilus-2.4.3-1.1.mga6.i586.rpm
easytag-2.4.3-1.1.mga6.x86_64.rpm
easytag-nautilus-2.4.3-1.1.mga6.x86_64.rpm

Source RPM: 
========================
easytag-2.4.3-1.1.mga6.src.rpm

Assignee: gnome => qa-bugs
Version: Cauldron => 6

Comment 9 Herman Viaene 2019-02-13 14:39:46 CET
MGA6-32 MATE on IBM Thinkpad R50e
No installation issues
Checked ogg file running in parole. Changed tag with easytag. Checked tag in audacity and running in parole.
All OK.

CC: (none) => herman.viaene
Whiteboard: MGA6TOO => MGA6TOO MGA6-32-OK

Dave Hodgins 2019-02-14 08:09:41 CET

CC: (none) => davidwhodgins, sysadmin-bugs
Keywords: (none) => advisory, validated_update

Comment 10 Mageia Robot 2019-02-14 09:40:05 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2019-0010.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.